
class navigator
{
    public:

        //attribute
        unsigned char receivedata, gpspos, testpos;
        volatile unsigned char LatBstring[10];
        volatile unsigned char LonLstring[10];
        unsigned char gps_valid;
        unsigned char validate_request;
        float LatB_minutes, LonL_minutes;  //Latitude(Breite), Longitude(Länge) : nur Minuten
        float LatB_meters, LonL_meters;
        float LatBhome_meters, LonLhome_meters;
        float d_LatB, d_LonL;
        float Kurswinkel_home;
        unsigned char ruderwinkel;
        unsigned char kompasswinkel;
        unsigned char twi_state;
        unsigned char testanzeige;
        float testanzeige2;
        float kompassfloat;

        float regeldifferenz,regeldifferenz_alt,differenz,integral;
        float sollwert,istwert,stellwert, p, d, i;
        float kp, kd, ki;


        //methoden
        navigator();
        void validate_gps();
        void request_position();
        void testmeldung();
        void zielkurs();
        void regeln();
        void lies_kompass();
        void resetkompass();

};
